Seedance 재질 자산 그룹 생성
curl --request POST \
--url https://api.tokenlab.sh/v1/videos/assets/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "재사용 가능한 제품 샷"
}
'import requests
url = "https://api.tokenlab.sh/v1/videos/assets/groups"
payload = {
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "재사용 가능한 제품 샷"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
library_type: 'aigc_avatar',
group_name: 'Product references',
description: '재사용 가능한 제품 샷'
})
};
fetch('https://api.tokenlab.sh/v1/videos/assets/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "group-20260720123456-vrt01",
"object": "seedance.material_asset_group",
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "재사용 가능한 제품 샷",
"status": "ACTIVE",
"metadata": null,
"created_at": 1782998400000
}{
"error": {
"message": "model: Model is required",
"type": "invalid_request_error",
"param": "model"
},
"validation_errors": [
{
"field": "model",
"message": "Model is required"
}
]
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_api_key"
}
}{
"error": {
"message": "<string>",
"type": "unauthorized",
"code": "<string>",
"param": "<string>",
"model": "<string>",
"did_you_mean": "<string>",
"suggestions": [
{
"id": "<string>"
}
],
"alternatives": [
{
"id": "<string>",
"status": "<string>",
"tags": [
"<string>"
]
}
],
"hint": "<string>",
"retry_after": 123,
"retryable": true,
"balance_usd": 123,
"estimated_cost_usd": 123,
"supported_operations": [
"<string>"
],
"supported_parameters": [
"<string>"
],
"required_selectors": [
"<string>"
],
"optional_selectors": [
"<string>"
],
"allowed_resolutions": [
"<string>"
],
"allowed_durations": [
"<string>"
],
"allowed_aspect_ratios": [
"<string>"
],
"prompt_max_characters": 123,
"recommended_request": {},
"request_endpoint": "<string>",
"request_shape_mode": "<string>",
"status_mode": "<string>",
"request_id": "<string>"
}
}{
"error": {
"message": "An internal error occurred",
"type": "server_error"
}
}{
"error": {
"message": "Seedance material library request failed",
"type": "server_error",
"code": "seedance_material_library_request_failed"
}
}비디오 및 자료
머티리얼 에셋 그룹 생성
Seedance 가상 아바타 머티리얼 그룹을 생성합니다.
POST
/
v1
/
videos
/
assets
/
groups
Seedance 재질 자산 그룹 생성
library_type: "aigc_avatar" 머티리얼 그룹을 생성합니다. 가상 아바타, 제품, 스타일 및 실존 인물 인증이 필요 없는 기타 재사용 가능한 참조 항목에 이 엔드포인트를 사용하십시오.
새로운 실존 인물 머티리얼 그룹은 시각 인증 세션 생성을 통해 생성되며, 이 엔드포인트로 직접 생성할 수 없습니다.
project_name은 인증된 조직 내 리소스를 분리합니다. 기본값은 default이며 관련 그룹과 소재에는 대소문자를 구분하는 동일한 값을 사용하세요. POST/PUT은 JSON 본문에, GET/DELETE는 쿼리 매개변수에 지정합니다.
요청 예시
curl https://api.tokenlab.sh/v1/videos/assets/groups \
-H "Authorization: Bearer $TOKENLAB_API_KEY" \
-H "Content-Type: application/json" \
-d '{"library_type":"aigc_avatar","group_name":"Product references","description":"Reusable product shots","project_name":"default"}'
응답 예시
{
"id": "group-20260720123456-vrt01",
"object": "seedance.material_asset_group",
"project_name": "default",
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "Reusable product shots",
"status": "ACTIVE",
"metadata": null,
"created_at": 1782998400000
}
인증
API 키 인증입니다. Dashboard > API > API Keys에서 API 키를 생성하거나 관리하십시오.
본문
application/json
머티리얼 그룹에 대한 선택적 표시 이름.
Required string length:
1 - 128Maximum string length:
500머티리얼 라이브러리 클래스. 직접 생성은 aigc_avatar를 지원합니다. liveness_face 그룹은 CreateVisualValidateSession 호출 후 GetVisualValidateResult를 통해 생성하십시오.
사용 가능한 옵션:
aigc_avatar, liveness_face 머티리얼 그룹에 대한 프로젝트 범위.
Required string length:
1 - 128응답
재질 자산 그룹 생성됨
TokenLab 머티리얼 그룹 ID. 머티리얼 업로드 시 group_id로 사용하십시오.
사용 가능한 옵션:
seedance.material_asset_group 사용 가능한 옵션:
aigc_avatar, liveness_face 이 머티리얼 그룹에 대한 프로젝트 범위.